#pragma once
#include "Mod.h"

class Disabler : public Mod {
public:
	float bps = 50.f;
	int mode = 0;
	bool sendinput = false;
	Disabler() : Mod(_("Disabler"), _("Avoid anti cheat."), Category::EXPLOIT) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(1), new int(0), 1, {_("Flareon"), _("Sentinel")}, true});
		settings.push_back(new Setting{ _("Blink Amount"), &bps, new float(100.f), new float(0), 2, {}, true, 1.f});
		settings.push_back(new Setting{ _("Send Input"), &sendinput, 0, 0, 0, {}, true });

		enabled = false;
	}

private:
	bool cancelrunupdatecycle = false;
	virtual auto onRunUpdateCycle(bool* cancel) -> void override;
	virtual auto onPacketSendAfter3(Packet* packet, bool* cancel) -> void override;
	virtual auto onClient() -> void override;
	virtual auto getMode() -> std::string override;
};
